<bugID>1127393<Summary>Reduce bad usage of contentWindowAsCPOW and contentDocumentAsCPOW</Summary><Description>There are portions of the codebase that use the contentWindowAsCPOW and contentDocumentAsCPOW properties on a &lt;xul:browser&gt; (remote or not)[1]. 

We should examine each point we use one of these properties, and see what happens to the CPOW - tracing whether or not we store them, and figuring out how much traffic goes across them during their lifetime. If we can identify some bad offenders, we should then find a way of not using CPOWs for those cases.

[1]: These properties are explicitly CPOWs in the remote browser case</Description></bugID>